Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05481 DIP/Input Minor Always Mar 29, 2014, 04:19 15 days ago
Tester AWJ View Status Public Platform SDLMAME
Assigned To Resolution Fixed OS
Status [?] Resolved Driver tceptor.cpp
Version 0.152 Fixed in Version Build 64-bit
Summary 05481: tceptor: Steering input doesn't work properly unless you delete NVRAM
Description The analog steering in Thunder Ceptor doesn't center properly if NVRAM exists from a previous session. The ship always drifts to one side. If you delete the NVRAM file before loading the game, you can steer normally.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems tceptor
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.10519
Tafoid
Administrator
Apr 2, 2014, 18:07
I gave this a try today - using keyboard control. Not exactly easy to center any analog game with keyboard controls, but it controlled well for me in this case and I didn't notice any drifting just letting the ship fly on it's own without any input.
User avatar
No.10523
AWJ
Developer
Apr 3, 2014, 19:28
edited on: Apr 3, 2014, 19:29
Hmm, I'm not sure what actually triggers the bug then, but it definitely happens to me quite often. The inputs get into a miscalibrated state where the ship drifts to one side when you're not touching the stick, and if you pull the stick all the way in the direction the ship is drifting, something "wraps around" and the ship steers in the opposite direction. The bug might be triggered by moving the stick in a certain way during attract mode, by coining up at a specific time in attract mode, or by quitting MAME at a specific time (possibly when the game is in the middle of updating the NVRAM?)

Whatever causes it, the only way to restore the inputs to proper calibration once it happens is to exit MAME and delete the NVRAM.

It's not a problem with my controller (N64 controller through a USB adaptor) because it only happens in this specific game, and the control values shown in the game's service screen are never affected by the bug (even after the bug has triggered, the service screen always shows 7F when the stick is centered)
User avatar
No.10524
Haze
Senior Tester
Apr 3, 2014, 23:14
maybe it's just a bug caused by some code in the game if the inputs exceed 'safe' values in an attempt to force you to recalibrate it?
User avatar
No.16207
MetalGod
Senior Tester
16 days ago
I've tested this in mame 0.152: It is quite easy to reproduce the mentioned error and I haven't found an explanation for it. It just happens. Even deleting nvram doesn't solve the error sometimes.

Tested on mame 0.207: The issue is no more!
Anyway, there's a way to reproduce it: keeping an analog direction of the joystick/steering pressed while the game is loading. I guess this happens because the game makes some kind of autocalibration when starting, so it is a normal failure. Restarting the game fixes it anyway. It is not neccesary to remove the nvram.

I would close this issue but I need a second opinion.
User avatar
No.16210
Osso
Developer
15 days ago
I wasn't able to reproduce this even with 0.152. Maybe someone else can chime in?
User avatar
No.16214
Tafoid
Administrator
15 days ago
We'll resolve it. If it needs to be readdressed, it will be here.